#ifndef GST_MICRO_MEM
#define GST_MICRO_MEM

#include <stdio.h>
#include <stdlib.h> 

typedef struct mm_st * mm_st;

/** tab_micro_mem est un tableau dont chaque ligne constitue 
 *  une ensemble de nbre_mop entiers.
 *  A chaque valutation, recopie tab_micro_mem [entree] dans mop.
 */
mm_st mm_init (int *entree, 
	       int *mop, int nbre_mop,
	       int **tab_micro_mem, int entree_max);

void mm_evalue (mm_st mm);

void mm_libere (mm_st mm);

#endif /* GST_MICRO_MEM */
