#ifndef LISTE_H
#define LISTE_H

typedef struct liste * liste;

/* Fonction utilise par lst_applique  */
typedef void (* type_fct) (void * info, void * arg);
/* Fonction de libration des info */
typedef void (* type_fct_libere) (void * info);

liste lst_cree (type_fct_libere libere);

void lst_ajoute_debut (liste l, void * info);

void lst_ajoute_fin (liste l, void * info);

/* Renvoie 1 si la liste est vide */
int lst_vide (liste l);

void lst_libere (liste l);

void lst_applique (liste l, type_fct, void * arg);

#endif /* LISTE_H */
