#include <assert.h>
#include "gst_decodeur.h"

struct deci_st
{
  int *entree;
  int *sortie;
  int *tab_deci;
  int code_max;
};

deci_st 
deci_init (int *entree, int *sortie, int *tab_deci, int code_max)
{
  deci_st deci = (deci_st) malloc (sizeof (struct deci_st));
  assert (deci != NULL);

  deci->entree = entree;
  deci->sortie = sortie;
  deci->tab_deci = tab_deci;
  deci->code_max = code_max;

  return deci;
}

void
deci_evalue (deci_st deci)
{
  if (*deci->entree > 0 && *deci->entree < deci->code_max)
    *deci->sortie = deci->tab_deci [*deci->entree];
  else
    *deci->sortie = deci->tab_deci [0];
}

void
deci_libere (deci_st deci)
{
  free (deci);
}
