#ifndef GST_FS_H
#define GST_FS_H

#include <gtk/gtk.h>

/* Type du second paramtre de fs_open */
typedef void (* type_ok_fct) (GtkWidget *w, GtkFileSelection *fs);
/* Cette fonction doit imprativement comporter file_close.
 * Exemple :
 
 void file_ok_sel (GtkWidget *w, GtkFileSelection *fs);
 {
 g_print ("%s\n", gtk_file_selection_get_filename (GTK_FILE_SELECTION (fs)));
 file_close (w, fs);
 }
*/

void file_close (GtkWidget *w, GtkFileSelection *fs);
  
void fs_open (GtkWidget *widget, type_ok_fct ok_fct);

#endif /*GST_FS_H*/
