#include <assert.h>
#include "gst_reg.h"

struct reg_st
{
  int *actif;
  int *entree;
  int *sortie;
  int valeur;
};

reg_st
reg_init (int *actif, int *entree, int *sortie)
{
  reg_st reg = (reg_st) malloc (sizeof (struct reg_st));
  assert (reg != NULL);
  
  reg->valeur = 0;
  reg->actif = actif;
  reg->entree = entree;
  reg->sortie = sortie;

  return reg;
}

void 
reg_evalue (reg_st reg)
{
  if (*reg->actif == 1)
    reg->valeur = *reg->entree;
  *reg->sortie = reg->valeur;
}

void
reg_libere (reg_st reg)
{
  free (reg);
}
