#ifndef GST_UAL
#define GST_UAL

#include <stdio.h>
#include <stdlib.h>
#include "gst_bus.h"

typedef struct ual_st * ual_st;

/** operation est un tableau de 3 entiers :
 * -operation[0]-operation[1]-operation[2]-
 * -0-0-0- sortie = entree0
 * -0-0-1- SHL entree1
 * -0-1-0- SHR entree1
 * -0-1-1- ADD entree0 + entree1
 * -1-0-0- SUB entree0 - entree1
 * -1-0-1- AND entree0 & entree1
 * -1-1-0- OR entree0 | entree1
 * -1-1-1- NOT ~entree0
 *
 * nbre_bits = nbre de bits utiliss pour le calcul */
ual_st ual_init (int *entree0, int *entree1, int *sortie, int *operation,
		 int nbre_bits, FIL *sortie_regcond);

void ual_evalue (ual_st ual);

void ual_libere (ual_st ual);

#endif /* GST_UAL */
